Skip to navigation

Create Wishlist

Creates a wishlist and wishlist item. More than one item can be added in the POST.

Required Fields

  • name
  • customer_id

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
customer_idintegerRequired
The customer id.
is_publicbooleanOptional
Whether the wishlist is available to the public.
namestringOptional
The title of the wishlist.
itemslist of objectsOptional
Array of wishlist items.

Response

Created
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

401
Unauthorized Error
500
Internal Server Error